ELSA-2015-1090

ELSA-2015-1090 - wpa_supplicant security and enhancement update

Type:SECURITY
Severity:IMPORTANT
Release Date:2015-06-11

Description


[1:2.0-17]
- AP WMM: Fix integer underflow in WMM Action frame parser (rh #1221178) (rh #1222015)

[1:2.0-16]
- P2P: Validate SSID element length before copying it (CVE-2015-1863)

[1:2.0-15]
- Add domain_match config option from upstream (rh #1178263)
- Include peer certificate in EAP events for use by clients

[1:2.0-14]
- Use os_exec() for action script execution (CVE-2014-3686)


Related CVEs


CVE-2015-1863
CVE-2015-4142

Updated Packages


Release/ArchitectureFilenameMD5sumSuperseded By Advisory
Oracle Linux 7 (x86_64) wpa_supplicant-2.0-17.el7_1.src.rpm1236caee13d810c9636545f7d3667de9ELBA-2017-2053
wpa_supplicant-2.0-17.el7_1.x86_64.rpm07628616d27b806adfac51bad01bd8b1ELBA-2017-2053



This page is generated automatically and has not been checked for errors or omissions. For clarification or corrections please contact the Oracle Linux ULN team

software.hardware.complete